Import stylesheet

- « XSLTProcessor::hasExsltSupport

- XSLTProcessor::registerPHPFunctions »

- PHP Manual
- XSLTProcessor
- Import stylesheet

# XSLTProcessor::importStylesheet

(PHP 5, PHP 7, PHP 8)

XSLTProcessor::importStylesheet — Import stylesheet

### Description

public XSLTProcessor::importStylesheet(object `$stylesheet`): bool

This method imports the stylesheet into the XSLTProcessor for transformations.

### Parameters

`stylesheet`

  The imported style sheet as a DOMDocument or SimpleXMLElement object.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

Throws a TypeError if `stylesheet` is not an XML object.

### Changelog

Version | Description
--- | ---
8.4.0 | Now throws a TypeError instead of a ValueError if `stylesheet` is not an XML object.